com.amazon.redshift.core

## Class IamHelper

- java.lang.Object
- - com.amazon.redshift.core.IamHelper

    public final class IamHelper
    extends Object

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `setIAMProperties(Properties info, RedshiftJDBCSettings settings, RedshiftLogger log)` Helper function to handle IAM connection properties.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### setIAMProperties

    public static void setIAMProperties(Properties info,
                                        RedshiftJDBCSettings settings,
                                        RedshiftLogger log)
                                 throws RedshiftException

Helper function to handle IAM connection properties. If any IAM related connection property is specified, all other required IAM properties must be specified too or else it throws an error.

Parameters:
  `info` - Redshift client settings used to authenticate if connection should be granted.
  `settings` - Redshift IAM settings
  `log` - Redshift logger
Throws:
  `RedshiftException` - If an error occurs.